package java.awt;
import java.awt.peer.ComponentPeer;

public class Panel extends Container {
    public Panel() { 
	this(
	     // should be: new FlowLayout()
	     null // FIXME
	     );

    }

    public Panel(LayoutManager layoutmanager) {
	setLayout(layoutmanager);
    }

    public void addNotify() {
	if (getPeer() == null) {
	    // See Frame.java for comment on synchronization
	    synchronized (this) {
		ComponentPeer peer = getToolkit().createPanel(this);
		setPeer(peer);  
	    }
	}

	super.addNotify();
    }
}
