package no.rwr.x;


public class XUnmapEvent extends XEvent {

    public XUnmapEvent(Display display, Window eventWindow,
		       Window unmappedWindow,
		       boolean fromConfigure) {
	super(XAnyEvent.TYPE_UNMAP_NOTIFY, display);
	getXAnyEvent().setWindow(eventWindow);
	setUnmappedWindow(unmappedWindow);
	setFromConfigure(fromConfigure);
    }

    public native void setUnmappedWindow(Window unmappedWindow);
    public native void setFromConfigure(boolean fromConfigure);

}



