
#include <X11/Xlib.h>

#include <gcj/cni.h>
#include <gnu/gcj/RawData.h>

#include "no/rwr/x/Display.h"
#include "no/rwr/x/Window.h"
#include "no/rwr/x/XAnyEvent.h"
#include "no/rwr/x/XEvent.h"
#include "no/rwr/x/XConfigureEvent.h"
#include "java/awt/Rectangle.h"

using java::awt::Rectangle;

java::awt::Rectangle* no::rwr::x::XConfigureEvent::getBounds() {
    ::XConfigureEvent* evt = (::XConfigureEvent*) event->structure;
    Rectangle* rectangle = new Rectangle(evt->x, evt->y,
					 evt->width, evt->height);
					 
    return rectangle;
}

