package no.rwr.awt;

/** This interface will disappear as soon as these constants are
    placed no the java.awt.AWTEvent class. */

public interface EventConstants {

    public static final long COMPONENT_EVENT_MASK    = 1<<0;
    public static final long CONTAINER_EVENT_MASK    = 1<<1;
    public static final long FOCUS_EVENT_MASK        = 1<<2;
    public static final long KEY_EVENT_MASK          = 1<<3;
    public static final long MOUSE_EVENT_MASK        = 1<<4;
    public static final long MOUSE_MOTION_EVENT_MASK = 1<<5;
    public static final long WINDOW_EVENT_MASK       = 1<<6;
    public static final long ACTION_EVENT_MASK       = 1<<7;
    public static final long ADJUSTMENT_EVENT_MASK   = 1<<8;
    public static final long ITEM_EVENT_MASK         = 1<<9;
    public static final long TEXT_EVENT_MASK         = 1<<10;
    public static final long INPUT_METHOD_EVENT_MASK = 1<<11;

}
