#include <gcj/cni.h>
#include <gnu/gcj/RawData.h>

#include <java/lang/OutOfMemoryError.h>
#include <java/lang/RuntimeException.h>
#include "no/rwr/image/hermes/HermesFormat.h"
#include "no/rwr/image/hermes/HermesPalette.h"


#include <Hermes/Hermes.h>

void no::rwr::image::hermes::HermesPalette::init() {
    handle = Hermes_PaletteInstance();
    if (handle == 0) {
	jstring msg = JvNewStringLatin1("palette creation failed");
	JvThrow(new java::lang::RuntimeException(msg));
    }
}

void no::rwr::image::hermes::HermesPalette::set(jintArray argbArray) {
    int32* palette = reinterpret_cast<int32*>(argbArray);

    Hermes_PaletteSet(handle, palette);
}
