package no.rwr.xutil;

import no.rwr.x.*;

public class Dispatcher {

    Display display;

    public Dispatcher(Display display) {
	this.display = display;
	
    }

    public void run() {
	//System.out.println("Running event loop...");
	XAnyEvent event = new XAnyEvent(display);
	while (true) {
	    event.loadNext();
	    Window window = event.getWindow();
	    if (window instanceof CanvasWindow) {
		CanvasWindow cw = (CanvasWindow) window;
		cw.canvas.processEvent(event);
	    } else {
		String errorMessage =
		    "Do no know how to dispach event (" + event + ") " +
		    "to Window (" + window + "). Window type is unknown.";
		throw new RuntimeException(errorMessage);
	    }
	}
    }
}
